Bug 106641 - [CI] Test igt@kms_available_modes_crc@available_mode_test_crc fails
Summary: [CI] Test igt@kms_available_modes_crc@available_mode_test_crc fails
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-24 07:48 UTC by Tomi Sarvela
Modified: 2019-05-07 10:59 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features: display/watermark


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomi Sarvela 2018-05-24 07:48:18 UTC
New IGT test igt@kms_available_modes_crc@available_mode_test_crc fails reliably on most Intel-GFX-CI hosts:

https://intel-gfx-ci.01.org/tree/drm-tip/igt@kms_available_modes_crc@available_mode_test_crc.html
Comment 1 Maarten Lankhorst 2018-05-25 07:27:17 UTC
https://patchwork.freedesktop.org/series/43677/
Comment 2 Maarten Lankhorst 2018-05-25 07:52:04 UTC
commit f560ae5a464331f03f0a669ed46b8c9e56526187 (HEAD, origin/master, origin/HEAD)
Author: Maarten Lankhorst <maarten.lankhorst@linux.intel.com>
Date:   Thu May 24 10:28:57 2018 +0200

    tests/kms_available_modes_crc: Fix test to work correctly on GLK.
Comment 3 Martin Peres 2018-05-28 11:37:33 UTC
This does not look fixed at all :s
Comment 5 Martin Peres 2018-05-28 17:30:52 UTC
Forgot to add the failure for the previous links:

(kms_available_modes_crc:1327) igt_debugfs-CRITICAL: Test assertion failure function igt_pipe_crc_start, file ../lib/igt_debugfs.c:764:
(kms_available_modes_crc:1327) igt_debugfs-CRITICAL: Failed assertion: pipe_crc->crc_fd != -1
(kms_available_modes_crc:1327) igt_debugfs-CRITICAL: Last errno: 5, Input/output error
Subtest available_mode_test_crc failed.
Comment 6 Juha-Pekka Heikkilä 2019-03-21 13:56:14 UTC
patch #1 needs review to get this fixed.
https://patchwork.freedesktop.org/series/58177/
Comment 7 Juha-Pekka Heikkilä 2019-03-22 11:01:22 UTC
commit ba96339c238180b38d05d7fa2dca772d49eee332
Author: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
Date:   Mon Feb 11 13:34:57 2019 +0200

was merged to igt which should fix this
Comment 8 Lakshmi 2019-04-24 06:53:34 UTC
@JP, This issue is occurring again on latest failure is 
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5979/shard-iclb8/igt@kms_available_modes_crc@available_mode_test_crc.html

Tests are failing due to different reason?
Comment 9 Juha-Pekka Heikkilä 2019-04-24 08:10:01 UTC
(In reply to Lakshmi from comment #8)
> @JP, This issue is occurring again on latest failure is 
> https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5979/shard-iclb8/
> igt@kms_available_modes_crc@available_mode_test_crc.html
> 
> Tests are failing due to different reason?

This isn't really 'occurring again'. This is different bug and shouldn't be mixed with something from history. Earlier test was failing on all platforms which was found out to be generic problem in IGT and is fixed. Now you see it is ICL only and more specific plane 3 upwards. This bug should be closed and there's a new bug to report. Without real knowledge my guess is it's problem with gamma tables.
Comment 10 Jani Saarinen 2019-05-07 10:59:03 UTC
Fixed by: https://patchwork.freedesktop.org/series/59419/ that got merged.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.